]> git.sur5r.net Git - bacula/bacula/commitdiff
Nothing
authorKern Sibbald <kern@sibbald.com>
Thu, 19 Jun 2008 10:47:28 +0000 (10:47 +0000)
committerKern Sibbald <kern@sibbald.com>
Thu, 19 Jun 2008 10:47:28 +0000 (10:47 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@7170 91ce42f0-d328-0410-95d8-f526ca767f89

12 files changed:
regress/CTestCustom.cmake
regress/experimental-all
regress/experimental-disk
regress/experimental-disk-and-tape
regress/experimental-tape
regress/nightly-all
regress/nightly-disk
regress/nightly-disk-and-tape
regress/nightly-tape
regress/scripts/functions
regress/scripts/pretest [new file with mode: 0755]
regress/scripts/regress-config

index f5bdb266f8e76ab086524192805b17b0dfa28aeb..c1cb28bf923e7a5fb439c327e518bd232914a919 100644 (file)
@@ -1,3 +1,4 @@
+
 SET(CTEST_CUSTOM_ERROR_EXCEPTION
   ${CTEST_CUSTOM_ERROR_EXCEPTION}
   "ERROR: *database \".*\" already exists"
@@ -10,3 +11,5 @@ SET(CTEST_CUSTOM_ERROR_EXCEPTION
 SET(CTEST_CUSTOM_MAXIMUM_PASSED_TEST_OUTPUT_SIZE 10000)
 SET(CTEST_CUSTOM_MAXIMUM_FAILED_TEST_OUTPUT_SIZE 1048576)
 SET (CTEST_NIGHTLY_START_TIME "23:00:00 CET")
+
+SET(CTEST_CUSTOM_PRE_TEST scripts/pretest)
index c23d1305da4443d733d7af29c58818864ae102c2..32c8a607715a426978fd50491a66b570bfe1e51e 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Experimental -R "^(disk|tape|changer):"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ]; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index 93459f2f0778b106c28aaf6d846db720a570c385..253eb11cef93ca5bb74aac57d41db2f829cbf68d 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Experimental -R "^disk:"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ]; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index 473aa2c5df9839ddcb4e80c28e9c88c7e372d01f..f83880ef3021cf6d4b76fbf6146b0c7cef14ce30 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Experimental -R "^(disk|tape):"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ] ; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index bb38bb0ce515467fe605aef7f96c680bfacbf6fc..1addaca6856bfd425e77abae564e9c3d78346b07 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Experimental -R "^tape:"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ] ; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index c5049808b650322615bb7ae4b63efd29e7898684..4bca6e1e54a2422b655377f4ae1d29035602427c 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Nightly -R "^(disk|tape|changer):"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ] ; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index 43833cc6961d20249ec3ac6b2f513f2d4e423a12..8101355d58c965dde2c9fd940ba89545fba63b42 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Nightly -R "^disk:"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ]; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index 5493b8d1ac6fc2ffe92e94e142b732c0a319a368..edd9cbff0ea76e9292be49f9dff690b10547da13 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Experimental -R "^(disk|tape):"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ] ; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index 6eb0c05f0c2c8f3b0b39ebffeb2dd63ba3d00aa1..1c5a85ea89165c8fb3fdae345293b70c705dc7eb 100755 (executable)
@@ -15,7 +15,7 @@ nice ctest -D Nightly -R "^tape:"
 rtn=$?
 i=0
 while [ $i -le 5 ]; do
-   if [ $rtn = 0 ] ; then
+   if [ $rtn = 0 ] || [ "$rtn" = "8" ]; then
       break;
    fi
    echo "Submit failed, waiting 5 mins"
index c2658e09463fa47a1c1dcfb5e158cf6291216598..6aad47dca10502e760f12ce15785e76baf8b4c87 100644 (file)
@@ -107,9 +107,11 @@ run_bacula()
      bin/bacula-ctl-fd start
      bin/bacula-ctl-dir start
      cat tmp/bconcmds | bin/bconsole -c bin/bconsole.conf
+     return $?
    else
      bin/bacula start 2>&1 >/dev/null
      cat tmp/bconcmds | bin/bconsole -c bin/bconsole.conf  2>&1 >/dev/null
+     return $?
    fi
 }
 
diff --git a/regress/scripts/pretest b/regress/scripts/pretest
new file mode 100755 (executable)
index 0000000..39f58d8
--- /dev/null
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+#  Test if daemons start
+#
+
+TestName="pretest"
+JobName=backup
+error=0
+
+. scripts/functions
+
+copy_test_confs
+
+
+cat <<END_OF_DATA >${cwd}/tmp/bconcmds
+messages
+quit
+END_OF_DATA
+
+start_test
+
+if ! run_bacula
+then
+   echo "error: bconsole error"
+   error=1
+fi
+
+for i in bacula-fd bacula-sd bacula-dir
+do
+   if ! ps -C $i >/dev/null
+   then
+      echo "error: $i not running"
+      error=1
+   fi
+done
+
+stop_bacula
+
+export dstat=0
+export bstat=$error
+export rstat=0
+
+end_test
+
+exit $error
index b6cb8bd2bf22c662fff4792056f239677204e6d8..5b589bd68f437a04ab6f52bdafc610bc7bbac84f 100755 (executable)
@@ -27,32 +27,3 @@ CFLAGS="-g -O2 -Wall" \
     --with-baseport=${BASEPORT}
 
 exit 0
-#!/bin/sh
-#
-# This is the configuration script for regression testing
-#
-
-. ${1}/config
-
-CFLAGS="-g -O2 -Wall" \
- ./configure \
-    --sbindir=${1}/bin \
-    --sysconfdir=${1}/bin \
-    --mandir=${1}/bin \
-    --with-pid-dir=${1}/working \
-    --with-subsys-dir=${1}/working \
-    --enable-smartalloc \
-    --disable-readline \
-    --with-working-dir=${1}/working \
-    --with-archivedir=${1}/tmp \
-    --with-dump-email=${EMAIL} \
-    --with-job-email=${EMAIL} \
-    --with-smtp-host=${SMTP_HOST} \
-    --with-db-name=regress \
-    --with-db-user=regress \
-    ${OPENSSL} \
-    ${TCPWRAPPERS} \
-    ${WHICHDB} \
-    --with-baseport=${BASEPORT}
-
-exit 0